libcoap 4.3.2rc2

Data Fields
coap_packet_t Struct Reference

`#include <coap_io_internal.h>`

## Data Fields
coap_addr_tuple_t | addr_info
| local and remote addresses More...
int | ifindex
| the interface index More...
size_t | length
| length of payload More...
unsigned char * | payload
| payload More...

## Detailed Description

Definition at line 207 of file coap_io_internal.h.

## Field Documentation

## ◆ addr_info

coap_addr_tuple_t coap_packet_t::addr_info

local and remote addresses

Definition at line 208 of file coap_io_internal.h.

## ◆ ifindex

int coap_packet_t::ifindex

the interface index

Definition at line 209 of file coap_io_internal.h.

## ◆ length

size_t coap_packet_t::length

length of payload

Definition at line 210 of file coap_io_internal.h.

## ◆ payload

unsigned char* coap_packet_t::payload

payload

Definition at line 211 of file coap_io_internal.h.

The documentation for this struct was generated from the following file:

- coap_io_internal.h